#
# spec file for package ghc-singleton-bool
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name singleton-bool
%global pkgver %{pkg_name}-%{version}
Name:           ghc-%{pkg_name}
Version:        0.1.8
Release:        2.4
Summary:        Type level booleans
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-boring-devel
BuildRequires:  ghc-boring-prof
BuildRequires:  ghc-dec-devel
BuildRequires:  ghc-dec-prof
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-deepseq-prof
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-some-devel
BuildRequires:  ghc-some-prof
ExcludeArch:    %{ix86}

%description
Type level booleans.

'singletons' package provides similar functionality, but it has tight
dependency constraints.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%package -n ghc-%{pkg_name}-doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem
BuildArch:      noarch

%description -n ghc-%{pkg_name}-doc
This package provides the Haskell %{pkg_name} library documentation.

%package -n ghc-%{pkg_name}-prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       ghc-%{pkg_name}-devel = %{version}-%{release}
Supplements:    (ghc-%{pkg_name}-devel and ghc-prof)

%description -n ghc-%{pkg_name}-prof
This package provides the Haskell %{pkg_name} profiling library.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md

%files -n ghc-%{pkg_name}-doc -f ghc-%{pkg_name}-doc.files
%license LICENSE

%files -n ghc-%{pkg_name}-prof -f ghc-%{pkg_name}-prof.files

%changelog
* Sun Jan  5 2025 Peter Simons <psimons@suse.com>
- Update singleton-bool to version 0.1.8 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Tue Jun  4 2024 Peter Simons <psimons@suse.com>
- Update singleton-bool to version 0.1.8.
  - 0.1.8
  - Support GHC-8.6.5...9.10.1
* Tue Oct 24 2023 Peter Simons <psimons@suse.com>
- Update singleton-bool to version 0.1.7 revision 1.
  - 0.1.7
  - Add EqP and OrdP instances
* Thu Mar 30 2023 Peter Simons <psimons@suse.com>
- Updated spec file to conform with ghc-rpm-macros-2.5.2.
* Sun Aug 21 2022 Peter Simons <psimons@suse.com>
- Update singleton-bool to version 0.1.6 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Fri Dec 17 2021 Peter Simons <psimons@suse.com>
- Update singleton-bool to version 0.1.6 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Mon Apr  5 2021 psimons@suse.com
- Update singleton-bool to version 0.1.6.
  - 0.1.6
  - Add `boring` instances
  - Add `some` (`GEq` etc) instances
  - Add `deepseq` instances
  - Require GHC-7.8+
* Sun Feb 21 2021 psimons@suse.com
- Update singleton-bool to version 0.1.5 revision 3.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Mon Aug 31 2020 psimons@suse.com
- Update singleton-bool to version 0.1.5 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Wed Aug 26 2020 psimons@suse.com
- Add singleton-bool at version 0.1.5.
